1. collieman's Avatar
    When trying to install apps on my jailbroken ipod, the package successfully download, but fails when unpacking. The error message reads Error: Package cannot be unpacked. This did not always happen. I was able to install the NES emulator. What should I do?
    2007-10-15 03:43 AM
  2. CyberGreg's Avatar
    How did you get the Installer app installed?

    It sounds like the "ditto" command is not able to execute.

    Have you tried reinstalling Installer app?
    2007-10-15 09:47 PM
  3. collieman's Avatar
    I copied it to the applications folder on my ipod using an ftp. I haven't tried reinstalling it. Should i remove it from my ipod with the ftp, then put it back? Even when I launch the application "installer.app" using command line, the problem occurs.

    I reinstalled it, and still no luck. this is what happens in terminal: 2007-10-15 21:31:14.632 Installer[99:d03] Status: Unpacking package...
    >>> Copying /var/root/Library/Installer/Temp/package.zip
    ditto: Couldn't read PKZip signature
    2007-10-15 21:31:14.797 Installer[99:9477] Error: Package could not be unpacked!
    2007-10-15 21:31:15.896 Installer[99:d03] Status: Cleaning Up...
    2007-10-15 21:31:16.068 Installer[99:d03] *** NSTimer discarding exception '*** -[NSCFArray removeLastObject]: index (0) beyond bounds (0)' that raised during firing of timer with target 0x38bb9d7c and selector '_callbackTimer:'
    Last edited by collieman; 2007-10-16 at 04:45 AM. Reason: Automerged Doublepost
    2007-10-16 04:45 AM
  4. CyberGreg's Avatar
    Well looks like it's not a "ditto" problem, looks like a problem with whatever file it's trying to expand.

    What are you trying to install?
    2007-10-16 05:33 AM
  5. collieman's Avatar
    I have tried installing a few things, but apollo and lights out both failed.
    2007-10-17 03:44 AM
  6. CyberGreg's Avatar
    Has anything installed properly through Installer (before or after some point)?

    You are still using your "1.1.1 jailbreak" BSD files, right or did you install the BSD on Installer?
    2007-10-17 04:30 AM
  7. collieman's Avatar
    I installed a NES emulator properly. I don't think I installed the BSD but I don't know for sure
    2007-10-17 10:26 PM
LINK TO POST COPIED TO CLIPBOARD